## hb-directwrite

hb-directwrite — DirectWrite integration

## Functions

hb_face_t * | hb_directwrite_face_create ()
IDWriteFontFace * | hb_directwrite_face_get_font_face ()

## Includes

    #include <hb-directwrite.h>

## Description

Functions for using HarfBuzz with DirectWrite fonts.

## Functions

### hb_directwrite_face_create ()

    hb_face_t *
    hb_directwrite_face_create (IDWriteFontFace *font_face);

Constructs a new face object from the specified DirectWrite IDWriteFontFace.

#### Parameters

font_face | a DirectWrite IDWriteFontFace object. |

#### Returns

hb_face_t object corresponding to the given input

Since: 2.4.0

### hb_directwrite_face_get_font_face ()

    IDWriteFontFace *
    hb_directwrite_face_get_font_face (hb_face_t *face);

Gets the DirectWrite IDWriteFontFace associated with `face` .

#### Parameters

face | a hb_face_t object |

#### Returns

DirectWrite IDWriteFontFace object corresponding to the given input

Since: 2.5.0